Summary:         OpenJade Group's SGML and XML SGML parser
Name:            opensp
Version:         1.5.2
Release:         5%{?dist}
License:         MIT
URL:             http://openjade.sourceforge.net/
Source0:         http://download.sourceforge.net/openjade/OpenSP-%{version}.tar.gz
Patch3000:       opensp-multilib.patch
Patch3001:       opensp-nodeids.patch
Patch3002:       opensp-sigsegv.patch
Patch3003:       opensp-manpage.patch

BuildRequires:   make gcc-c++ xmlto chrpath
Requires:        sgml-common >= 0.5
Provides:        bundled(gettext) = 0.14.5

%description
OpenSP is an implementation of the ISO/IEC 8879:1986 standard SGML
(Standard Generalized Markup Language). OpenSP is based on James
Clark's SP implementation of SGML. OpenSP contains the parser nsgmls
and sgmlnorm, spcat, spam, spent, and sgml2xml. Sgml2xml is a tool
for converting from SGML to XML. OpenSP also includes generic API.

Manuals are available in http://openjade.sourceforge.net/doc/index.htm.


%package devel
Summary:         Files for developing with OpenSP
Requires:        %{name} = %{version}-%{release}

%description devel
Header files and libtool library for developing with OpenSP.


%prep
%autosetup -n OpenSP-%{version} -p1


%build
%configure --disable-static --enable-http \
           --disable-dependency-tracking \
           --enable-default-catalog=%{_sysconfdir}/sgml/catalog \
           --enable-default-search-path=%{_datadir}/sgml:%{_datadir}/xml
%make_build

%install
%make_install
rm $RPM_BUILD_ROOT%{_libdir}/*.la

for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file $RPM_BUILD_ROOT%{_bindir}/$file
   echo ".so man1/o${file}.1" > $RPM_BUILD_ROOT%{_mandir}/man1/${file}.1
done

mv $RPM_BUILD_ROOT%{_bindir}/{sx,sgml2xml}
mv $RPM_BUILD_ROOT%{_mandir}/man1/{sx,sgml2xml}.1

#don't need html
rm -rf $RPM_BUILD_ROOT%{_docdir}/OpenSP
rm -rf $RPM_BUILD_ROOT%{_datadir}/OpenSP

chrpath --delete %{buildroot}%{_bindir}/*

%find_lang sp5

%check
make check || :


%files -f sp5.lang
%license COPYING
%doc AUTHORS BUGS ChangeLog NEWS README
%doc doc/*.htm docsrc/releasenotes.html pubtext/opensp-implied.dcl
%{_bindir}/*
%{_libdir}/libosp.so.*
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/OpenSP/
%{_libdir}/libosp.so


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu May 26 2022 rockerzhu <rockerzhu@tencent.com> - 1.5.2-1
- Initail build
